<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:48:19 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ConstraintWithVSLlRuntimeModule (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConstraintWithVSLlRuntimeModule (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLlRuntimeModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ConstraintWithVSLlStandaloneSetup.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ConstraintWithVSLlRuntimeModule.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLlRuntimeModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.AbstractConstraintWithVSLlRuntimeModule">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.AbstractConstraintWithVSLlRuntimeModule">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext</div>
<h2 title="Class ConstraintWithVSLlRuntimeModule" class="title">Class ConstraintWithVSLlRuntimeModule</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.service.AbstractGenericModule</li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.service.DefaultRuntimeModule</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.AbstractConstraintWithVSLlRuntimeModule</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ConstraintWithVSLlRuntimeModule</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.google.inject.Module</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConstraintWithVSLlRuntimeModule</span>
extends <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext">AbstractConstraintWithVSLlRuntimeModule</a></pre>
<div class="block">Use this class to register components to be used at runtime / without the Equinox extension registry.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.AbstractConstraintWithVSLlRuntimeModule">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.<a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext">AbstractConstraintWithVSLlRuntimeModule</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#properties">properties</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ConstraintWithVSLlRuntimeModule.html#ConstraintWithVSLlRuntimeModule--">ConstraintWithVSLlRuntimeModule</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.AbstractConstraintWithVSLlRuntimeModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.<a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext">AbstractConstraintWithVSLlRuntimeModule</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindConstraintWithVSLlJavaValidator--">bindConstraintWithVSLlJavaValidator</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIAntlrTokenFileProvider--">bindIAntlrTokenFileProvider</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIFormatter--">bindIFormatter</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIGlobalScopeProvider--">bindIGlobalScopeProvider</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIGrammarAccess--">bindIGrammarAccess</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIParser--">bindIParser</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIParseTreeConstructor--">bindIParseTreeConstructor</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIQualifiedNameProvider--">bindIQualifiedNameProvider</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindIScopeProvider--">bindIScopeProvider</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindITokenDefProvider--">bindITokenDefProvider</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindITokenToStringConverter--">bindITokenToStringConverter</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#bindLexer--">bindLexer</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#configure-com.google.inject.Binder-">configure</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#configureFileExtensions-com.google.inject.Binder-">configureFileExtensions</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#configureIgnoreCaseLinking-com.google.inject.Binder-">configureIgnoreCaseLinking</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#configureIScopeProviderDelegate-com.google.inject.Binder-">configureIScopeProviderDelegate</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#configureLanguageName-com.google.inject.Binder-">configureLanguageName</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#configureRuntimeLexer-com.google.inject.Binder-">configureRuntimeLexer</a>, <a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html#provideInternalConstraintWithVSLlLexer--">provideInternalConstraintWithVSLlLexer</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.service.DefaultRuntimeModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.service.DefaultRuntimeModule</h3>
<code>bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIContainer$Manager, bindIFragmentProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindISemanticSequencer, bindISerializer, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.service.AbstractGenericModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.service.AbstractGenericModule</h3>
<code>bindProperties, getBindings, tryBindProperties</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConstraintWithVSLlRuntimeModule--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConstraintWithVSLlRuntimeModule</h4>
<pre>public&nbsp;ConstraintWithVSLlRuntimeModule()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLlRuntimeModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/AbstractConstraintWithVSLlRuntimeModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ConstraintWithVSLlStandaloneSetup.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ConstraintWithVSLlRuntimeModule.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLlRuntimeModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.AbstractConstraintWithVSLlRuntimeModule">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.AbstractConstraintWithVSLlRuntimeModule">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
